Subject: Re: [PATCH 2/2 v2] net/smsc911x: Add regulator support

From: Mark Brown <[email-masked]>
Date: Wed, 26 Oct 2011 14:36:07 +0100

On Wed, Oct 26, 2011 at 01:05:04PM +0200, Linus Walleij wrote:
> From: Robert Marklund <[email-masked]>
> 
> Add some basic regulator support for the power pins, as needed
> by the ST-Ericsson Snowball platform that powers up the SMSC911
> chip using an external regulator.

Reviewed-by: Mark Brown <[email-masked]>

but it does look like the code could be simplified with the
regulator_bulk API - it'd mean you wouldn't need to do per regulator
API calls and would do all your unwinding if the second operation fails.